Subject: Re: Problem using cygwin compiled DLL's in other Windows apps
From: "Robert Collins" <[email-masked]>
To: "Logan Bowers" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 9 Jan 2002 10:47:36 +1100

----- Original Message -----
From: "Logan Bowers" <[email-masked]>

> Robert Collins wrote:
> >
> > ----- Original Message -----
> > From: "Logan Bowers" <[email-masked]>
>
> Ahhh...  That is the functionality I need.  I've compiled ESoundD (a
> unix app) under cygwin and would like to link libesd into my plugin.
Is
> there any way I can make that work, or am I SOL?

SOL. Perhaps you can rebuild winamp :}---. FreeAMP sounds appealing
about now!.

> > > My version of ld (from the standard Cygwin distro) only supports
> > > i386pe, how do I install support for other emulations.
> >
> > Huh? Just use the switch I mentioned. Read the FAQ and user guide
too.
>
> For some reason my ld doesn't like that switch and says it doesn't
> recognize the emulation.  When I do ld -V, it lists the available
> emulations and only lists i386pe...

Link via gcc, gcc specs know the switch.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/